﻿Module Module1
    Public srcPath As String
    Public dstPath As String
    Public PATChek As Boolean

    'フォルダ選択
    Public Function SelectFolder(ByVal fm As Form, ByVal defolt As String) As String
        Dim ret As String = ""

        'FolderBrowserDialogクラスのインスタンスを作成
        Dim fbd As New FolderBrowserDialog
        fbd.Description = "フォルダを指定してください。"
        fbd.RootFolder = Environment.SpecialFolder.Desktop
        'RootFolder以下にあるフォルダである必要がある
        fbd.SelectedPath = defolt
        fbd.ShowNewFolderButton = True

        If fbd.ShowDialog(fm) = DialogResult.OK Then
            ret = fbd.SelectedPath
        End If
        Return ret

    End Function

    Public Function SelectFiles(ByVal defolt As String) As String()
        'OpenFileDialogクラスのインスタンスを作成
        Dim ofd As New OpenFileDialog()

        ofd.FileName = "default.ts"
        ofd.InitialDirectory = defolt
        ofd.Filter = "tsファイル(*.ts)|*.ts|全てのファイル(*.*)|*.*"
        ofd.FilterIndex = 1
        ofd.Title = "ファイルを選択してください"
        'ダイアログボックスを閉じる前に現在のディレクトリを復元するようにする
        ofd.RestoreDirectory = True
        '存在しないファイルの名前が指定されたとき警告を表示する
        ofd.CheckFileExists = True
        '存在しないパスが指定されたとき警告を表示する
        ofd.CheckPathExists = True
        ofd.Multiselect = True

        'ダイアログを表示する
        If ofd.ShowDialog() = DialogResult.OK Then
            Return ofd.FileNames
        End If

        Return Nothing

    End Function

End Module
